<?php
/**
 * Information reel
 *
 * @package Information reel
 * @subpackage Information reel
 * @version   1.0 September 15, 2011
 * @author    Gopi.R
 * @copyright Copyright (C) 2010 - 2011 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).DS.'helper.php');

@$args['inforeel_height'] = $params->get('inforeel_height');
@$args['inforeel_display'] = $params->get('inforeel_display');

@$args['inforeel_title_1'] = $params->get('inforeel_title_1');
@$args['inforeel_title_2'] = $params->get('inforeel_title_2');
@$args['inforeel_title_3'] = $params->get('inforeel_title_3');
@$args['inforeel_title_4'] = $params->get('inforeel_title_4');
@$args['inforeel_title_5'] = $params->get('inforeel_title_5');

@$args['inforeel_item_1'] = $params->get('inforeel_item_1');
@$args['inforeel_item_2'] = $params->get('inforeel_item_2');
@$args['inforeel_item_3'] = $params->get('inforeel_item_3');
@$args['inforeel_item_4'] = $params->get('inforeel_item_4');
@$args['inforeel_item_5'] = $params->get('inforeel_item_5');

@$args['inforeel_link_1'] = $params->get('inforeel_link_1');
@$args['inforeel_link_2'] = $params->get('inforeel_link_2');
@$args['inforeel_link_3'] = $params->get('inforeel_link_3');
@$args['inforeel_link_4'] = $params->get('inforeel_link_4');
@$args['inforeel_link_5'] = $params->get('inforeel_link_5');

@$args['inforeel_use_cache'] = $params->get('inforeel_use_cache');

$cache = & JFactory::getCache();

if (@$args['inforeel_use_cache']) 
{
  $items = $cache->call(array('modInformationReel','getInformationReel'),$args);
}
else
{
  $items = modInformationReel::getInformationReel($args);
}

modInformationReel::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_information_reel'));

?>